Bug 142863 - du output split with long filesystem name
Summary: du output split with long filesystem name
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: coreutils (Show other bugs)
(Show other bugs)
Version: 4.0
Hardware: All Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Tim Waugh
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-12-14 19:09 UTC by Joshua Daniel Franklin
Modified: 2007-11-30 22:07 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-12-15 10:23:59 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Joshua Daniel Franklin 2004-12-14 19:09:01 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5)
Gecko/20041107 Firefox/1.0

Description of problem:
With the default naming scheme of /dev/mapper/VolGroup00-XXX,
filesystem names are too long for normal df output. For example, on my
beta machine I currently have: 

Filesystem           1K-blocks      Used Available Use% Mounted on
/dev/mapper/VolGroup00-RootVol00
                      12901520   5648944   6597216  47% /
/dev/sda1               101086     31750     64117  34% /boot
none                    517016         0    517016   0% /dev/shm
/dev/mapper/VolGroup00-HomeVol02
                       2031952     70888   1857848   4% /home
/dev/mapper/VolGroup00-LocalVol04
                       7063480   4203728   2500944  63% /usr/local
/dev/mapper/VolGroup00-VarVol03
                       2031952    758128   1170608  40% /var

This messes up automated tools that expect df output to be
one-line-per-filesystem, such as the BigBrother monitor or LogWatch
(on by default in RHEL4b2) which shows the nearly useless output:

------------------ Disk Space --------------------

/dev/mapper/VolGroup00-RootVol00
/dev/sda1              99M   32M   63M  34% /boot
/dev/mapper/VolGroup00-HomeVol02
/dev/mapper/VolGroup00-LocalVol04
/dev/mapper/VolGroup00-VarVol03


df should use more intelligent columns to fit it on 80 char if
possible, or perhaps truncate filesystem names unless a --verbose flag
is set. 

Version-Release number of selected component (if applicable):
coreutils-5.2.1-31

How reproducible:
Always

Steps to Reproduce:
1. Install RHEL3b2 with default filesystem names
2. Run df
3. See output
    

Actual Results:  df output split 

Expected Results:  df output one-filesystem-per-line

Additional info:

Comment 1 Tim Waugh 2004-12-15 10:23:59 UTC
Use df -P for POSIX format.

Comment 2 Jay Turner 2004-12-15 10:39:16 UTC
'df -P' will resolve this issue for you.


Note You need to log in before you can comment on or make changes to this bug.